Subject: Re: bug#17780: mml-smime/openssl fails to include intermediate certificates

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Sep 2019 22:13:01 +0200

Jan Beich <[email-masked]> writes:

>  (defun mml-smime-openssl-sign (cont)
>    (when (null smime-keys)
>      (customize-variable 'smime-keys)
>      (error "No S/MIME keys configured, use customize to add your key"))
> -  (smime-sign-buffer (cdr (assq 'keyfile cont)))
> +  (smime-sign-buffer (cdar smime-keys))
>    (goto-char (point-min))

I've tried to follow the logic of the code here, and I think this looks
correct: (assq 'keyfile cont) has only they first key, while (cdar
smime-keys) has all the keys (for this identifier).

So I've applied this patch to the Emacs trunk now.  There may be
repercussions I'm not seeing, though, so feel free to revert.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no